aboutsummaryrefslogtreecommitdiff
path: root/dmenu_mocp
diff options
context:
space:
mode:
authormutantturkey <crazycal00@gmail.com>2010-04-21 17:46:39 -0400
committermutantturkey <crazycal00@gmail.com>2010-04-21 17:46:39 -0400
commitff046f06fd21e48fda0777fde06fdb01bef3f1f3 (patch)
tree61312e503eddb4b92578d8324f07cf9e00b205e5 /dmenu_mocp
initially putting on github
Diffstat (limited to 'dmenu_mocp')
-rw-r--r--dmenu_mocp/.dmenu_mocp.swpbin0 -> 12288 bytes
-rw-r--r--dmenu_mocp/PKGBUILD23
-rwxr-xr-xdmenu_mocp/dmenu_mocp49
-rwxr-xr-xdmenu_mocp/dmenu_mocp~51
4 files changed, 123 insertions, 0 deletions
diff --git a/dmenu_mocp/.dmenu_mocp.swp b/dmenu_mocp/.dmenu_mocp.swp
new file mode 100644
index 0000000..e5d304b
--- /dev/null
+++ b/dmenu_mocp/.dmenu_mocp.swp
Binary files differ
diff --git a/dmenu_mocp/PKGBUILD b/dmenu_mocp/PKGBUILD
new file mode 100644
index 0000000..5495e07
--- /dev/null
+++ b/dmenu_mocp/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Scott Garrett <Wintervenom@gmail.com>
+# Contributor: Scott Garrett <Wintervenom@gmail.com>
+
+pkgname=dmenu-launch
+pkgver=0.4.1
+pkgrel=1
+pkgdesc="A simple Dmenu-based application launcher. Launches binaries and XDG shortcuts."
+url="http://wintervenom.mine.nu"
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('dmenu' 'exo')
+md5sums=('b5d4f686f4c5c4ff53a93436448f76c5')
+source=(
+ 'dmenu-launch'
+)
+
+build() {
+ cd $srcdir
+ install -d -m755 $pkgdir/usr/bin || return 1
+ install -m755 $srcdir/dmenu-launch $pkgdir/usr/bin/dmenu-launch || return 1
+
+ return 0
+}
diff --git a/dmenu_mocp/dmenu_mocp b/dmenu_mocp/dmenu_mocp
new file mode 100755
index 0000000..72c4024
--- /dev/null
+++ b/dmenu_mocp/dmenu_mocp
@@ -0,0 +1,49 @@
+#!/bin/sh
+#thanks to dpm i just changed up the commands xD
+
+ACTION=`printf "playlist\npause/play\nnext\nprevious\nstart\nexit\nopen\nload\nshuffle\nrepeat\n" | dmenu -i $*`
+
+if [ "$ACTION" == 'playlist' ]; then
+ mocp -p
+fi
+
+if [ "$ACTION" == 'pause/play' ]; then
+ mocp -G
+fi
+
+if [ "$ACTION" == 'next' ]; then
+ mocp -f
+fi
+
+if [ "$ACTION" == 'previous' ]; then
+ mocp -r
+fi
+
+if [ "$ACTION" == 'start' ]; then
+ mocp -S
+ dmenu_mocp
+fi
+
+if [ "$ACTION" == 'exit' ]; then
+ mocp -x
+fi
+
+if [ "$ACTION" == 'open' ]; then
+ xterm -e mocp
+fi
+
+if [ "$ACTION" == 'load' ]; then
+ mocp -c &&
+ play=$(find ~/ -name *.m3u | dmenu -i $*)
+ echo $play
+ mocp -a "$play"
+ mocp -p
+fi
+if [ "$ACTION" == 'shuffle' ]; then
+ mocp -t shuffle
+fi
+
+if [ "$ACTION" == 'repeat' ]; then
+ mocp -t repeat
+fi
+
diff --git a/dmenu_mocp/dmenu_mocp~ b/dmenu_mocp/dmenu_mocp~
new file mode 100755
index 0000000..2fd167e
--- /dev/null
+++ b/dmenu_mocp/dmenu_mocp~
@@ -0,0 +1,51 @@
+#!/bin/sh
+#thanks to dpm i just changed up the commands xD
+
+status=$(mocp -Q %state)
+status=${status,,}
+ACTION=`printf "playlist\n$status\nnext\nprevious\nstart\nexit\nopen\nload\nshuffle\nrepeat\n" | dmenu -i $*`
+
+if [ "$ACTION" == 'playlist' ]; then
+ mocp -p
+fi
+
+if [ "$ACTION" == 'pause/play' ]; then
+ mocp -G
+fi
+
+if [ "$ACTION" == 'next' ]; then
+ mocp -f
+fi
+
+if [ "$ACTION" == 'previous' ]; then
+ mocp -r
+fi
+
+if [ "$ACTION" == 'start' ]; then
+ mocp -S
+ dmenu_mocp
+fi
+
+if [ "$ACTION" == 'exit' ]; then
+ mocp -x
+fi
+
+if [ "$ACTION" == 'open' ]; then
+ xterm -e mocp
+fi
+
+if [ "$ACTION" == 'load' ]; then
+ mocp -c &&
+ play=$(find ~/ -name *.m3u | dmenu -i $*)
+ echo $play
+ mocp -a "$play"
+ mocp -p
+fi
+if [ "$ACTION" == 'shuffle' ]; then
+ mocp -t shuffle
+fi
+
+if [ "$ACTION" == 'repeat' ]; then
+ mocp -t repeat
+fi
+